server:
  port: 8006

spring:
  application:
    name: SERVICE-UCENTER
  datasource:
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://192.168.0.10:3306/home_teacher?serverTimezone=Asia/Shanghai&characterEncoding=utf8&useUnicode=true&useSSL=false
    username: root
    password: FXI@gi^l
    hikari:
      connection-test-query: SELECT 1
      connection-timeout: 60000
      idle-timeout: 500000
      max-lifetime: 540000
      maximum-pool-size: 20
      minimum-idle: 10
      pool-name: XunWangHikariPool
  redis:
    host: 127.0.0.1
    port: 6379
    database: 0
    timeout: 1800000
    lettuce:
      pool:
        max-active: 20
        max-idle: 5
        min-idle: 0
        max-wait: -1
  cloud:
    nacos:
      discovery:
        server-addr: 127.0.0.1:8848

mybatis-plus:
  mapper-locations: classpath:com/xunwang/ucenter/mapper/xml/*.xml
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl

feign:
  client:
    config:
      default:
        connectTimeout: 10000
        readTimeout: 600000

# 微信参数
wx:
  appid: wxf2d10b5ab2b20723
  secret: 4a7e0b985d9026e1c94a9c4ef5c949ba
  grant_type: authorization_code

# 自定义注解：是否开启swagger
swagger:
  enable: true

knife4j:
  enable: true  # 开启增强功能
  production: false  # 开启屏蔽文档资源
  enableAggregation: true
  nacos:
    enable: true
    serviceUrl: http://127.0.0.1:8848/nacos
    routes:
      - name: 用户微服务
        serviceName: SERVICE-UCENTER
        location: /v2/api-docs
        servicePath: /ucenter

      - name: 教育微服务
        serviceName: SERVICE-EDUCATION
        location: /v2/api-docs
        servicePath: /education

      - name: 文件微服务
        serviceName: SERVICE-FILE
        location: /v2/api-docs
        servicePath: /file

